# -*- coding: utf-8 -*-
##################################################
# This file is part of WAPT Enterprise
# All right reserved, (c) Tranquil IT Systems 2023
# For more information please refer to
# https://wapt.tranquil.it/store/licences.html
##################################################
from setuphelpers import *


def install():
    uninstall_older_version()
    install_dmg(glob.glob("SoapUI-*.dmg")[0])


def uninstall():
    killalltasks(ensure_list(control.impacted_process))
    remove_tree(f"/Applications/SoapUI {control.get_software_version()} Installer.app")


def uninstall_older_version():
    for soft in installed_softwares(control.name):
        version = soft['version']
        if Version(version) < Version(control.get_software_version()):
            killalltasks(f"SoapUI-{version}")
            remove_tree(soft['install_location'])
